version: '3.8'

services:
  ddns-crista-love:
    image: favonia/cloudflare-ddns:latest
    container_name: ddns-crista-love
    network_mode: host
    restart: unless-stopped
    user: "3000:3000"
    read_only: true
    cap_drop:
      - all
    security_opt:
      - no-new-privileges:true
    environment:
      - CLOUDFLARE_API_TOKEN=${CLOUDFLARE_API_TOKEN}
      - DOMAINS=crista.love,cle.crista.love,cocalc.crista.love,mm.crista.love
      - PROXIED=true
